Subject: bug#10747: ImageMagick does not return much metadata

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 Sep 2019 19:53:22 +0200

Glenn Morris <[email-masked]> writes:

> then in the resulting image-mode buffer, 
> (image-metadata (image-get-display-property))
> returns:
>
> (count 44 delay 0.09 extension-data (0 "control-chars" 255 "NETSCAPE2.0" 254
> "File source: http://commons.wikimedia.org/wiki/File:Rotating_earth_(large).gif"
> 249 "control-chars"))
>
> If I repeat the experiment with (I think this is the way to prefer
> ImageMagick over libgif):
>
> emacs -Q  --eval "(setq image-type-header-regexps nil)" \
>   -f imagemagick-register-types 
>
> then the returned metadata is just: (count 44)

ImageMagick does return the delay in the metadata, and I think the rest
of the metadata isn't very interesting (especially as we don't recommend
compiling Emacs with ImageMagick these days), so I'm closing this bug
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no